package org.openmuc.android.activities;

import org.openmuc.android.activities.handheld.ChannelList;
import org.openmuc.android.activities.tablet.DashBoard;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

/**
 * Entry point of this app. Checks if the device is a tablet and directly branches to the corresponding activity.
 * 
 * A device is considered to be a tablet if the smaller dimension of the display is at least 600 pixel wide.
 * 
 * @author Karsten Müller-Bier
 */
public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		Intent screenIntent = null;
		if (isLargeTablet()) {
			screenIntent = new Intent(this, DashBoard.class);
		}
		else {
			screenIntent = new Intent(this, ChannelList.class);
		}
		startActivity(screenIntent);
		finish();
	}

	private boolean isLargeTablet() {
		int width = getResources().getDisplayMetrics().widthPixels;
		int height = getResources().getDisplayMetrics().heightPixels;
		int min = Math.min(width, height);

		return min >= 600;
	}
}
