package org.openmuc.android.rest.data;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Channel Bean, created to let Jackson handle the parsing from and to records
 * 
 * @author Karsten Mueller-Bier
 */
public class Channel implements Parcelable {

	private String label;
	private Record record;

	public Channel() {
		label = "";
		record = new Record();
	}

	Channel(Parcel in) {
		readFromParcel(in);
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public Record getRecord() {
		return record;
	}

	public void setRecord(Record record) {
		this.record = record;
	}

	@Override
	public int hashCode() {
		return label.hashCode();
	}

	@Override
	public boolean equals(Object o) {
		if (o instanceof Channel) {
			Channel other = (Channel) o;
			return other.label.equals(label);
		}
		return false;
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(label);
		dest.writeParcelable(record, flags);
	}

	private final void readFromParcel(Parcel in) {
		label = in.readString();
		record = in.readParcelable(Record.class.getClassLoader());
	}

	public static final Parcelable.Creator<Channel> CREATOR = new Creator<Channel>() {

		@Override
		public Channel[] newArray(int size) {
			return new Channel[size];
		}

		@Override
		public Channel createFromParcel(Parcel source) {
			return new Channel(source);
		}
	};
}
