package org.openmuc.android.rest.data;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Record Bean, created to let Jackson handle the parsing from and to records
 * 
 * @author Karsten Müller-Bier
 */
public class Record implements Parcelable {

	private long timestamp;
	private String flag;
	private Double value;

	public Record() {
		flag = "No value received yet";
	}

	Record(Parcel in) {
		readFromParcel(in);
	}

	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public Double getValue() {
		return value;
	}

	public void setValue(Double value) {
		this.value = value;
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		if (value != null) {
			dest.writeLong(timestamp);
			dest.writeString(flag);
			dest.writeDouble(value);
		}
	}

	private final void readFromParcel(Parcel in) {
		timestamp = in.readLong();
		flag = in.readString();
		value = in.readDouble();
	}

	public static final Parcelable.Creator<Record> CREATOR = new Creator<Record>() {

		@Override
		public Record[] newArray(int size) {
			return new Record[size];
		}

		@Override
		public Record createFromParcel(Parcel source) {
			return new Record(source);
		}
	};
}
