package org.openmuc.android.util;

import org.openmuc.android.fragments.TimespanSelectorFragment;

/**
 * Enumeration of all dynamic time spans that can be selected by {@link TimespanSelectorFragment}
 * 
 * @author Karsten Müller-Bier
 */
public enum TimeSpan {
	_10("10 seconds", 10), _30("30 seconds", 30), _60("1 minute", 60), _300("5 minutes", 300), _900("15 minutes", 900), _1800(
			"30 minutes", 1800), _3600("60 minutes", 3600), _5400("90 minutes", 5400), _7200("2 hours", 7200), custom(
			"custom", -1);

	private String text;
	private int value;

	private TimeSpan(String text, int value) {
		this.text = text;
		this.value = value;
	}

	/**
	 * @return The actual time span in seconds
	 */
	public int getValue() {
		return value;
	}

	@Override
	public String toString() {
		return text;
	}
}
