/*
 * Copyright 2011-13 Fraunhofer ISE
 *
 * This file is part of OpenMUC.
 * For more information visit http://www.openmuc.org
 *
 * OpenMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * OpenMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with OpenMUC.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.openmuc.framework.driver.knx.value;

import org.openmuc.framework.data.ByteStringValue;
import org.openmuc.framework.data.Value;

import tuwien.auto.calimero.dptxlator.DPTXlatorString;
import tuwien.auto.calimero.exception.KNXFormatException;

/**
 * @author frobra
 * 
 */
public class KnxValueString extends KnxValue {

	/**
	 * @param dptID
	 * @throws KNXFormatException
	 */
	public KnxValueString(String dptID) throws KNXFormatException {
		dptXlator = new DPTXlatorString(dptID);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.openmuc.framework.driver.knx.value.KnxValue#setOpenMucValue(org.openmuc.framework.data.Value)
	 */
	@Override
	public void setOpenMucValue(Value value) throws KNXFormatException {
		((DPTXlatorString) dptXlator).setValue(new String(value.asByteArray()));
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.openmuc.framework.driver.knx.value.KnxValue#getOpenMucValue()
	 */
	@Override
	public Value getOpenMucValue() {
		// TODO Auto-generated method stub
		return new ByteStringValue(((DPTXlatorString) dptXlator).getValue().getBytes());
	}

}
